'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const beforeMessage = 'You need a newline or comment before a describe block when it comes after another expression';
const isDescribe = node => node.expression &&
    node.expression.callee &&
    node.expression.callee.name === 'describe';
exports.default = {
    meta: {
        docs: {
            description: 'Enforces at least a line of padding before describe blocks',
            category: 'Fill me in',
            recommended: false,
        },
        fixable: 'whitespace',
        schema: [],
    },
    beforeMessage,
    create(context) {
        const filePath = context && context.getFilename();
        const isTest = filePath.includes('test') ||
            filePath.includes('spec') ||
            filePath.includes('<input>');
        return {
            ExpressionStatement(node) {
                if (!isTest || !isDescribe(node)) {
                    return;
                }
                utils_1.padBefore({ context, node, beforeMessage });
            },
        };
    },
};
